ENV["RAILS_ENV"] = 'test'
ENV["BY2_ENV"] = 'test'


require 'rspec/autorun'

module Rails
  module VERSION
    STRING = "4.0.2"
  end
end

require 'active_record'
require 'active_record/fixtures'
require 'active_support'
require 'rspec/rails/extensions/active_record/base'
require 'rspec/rails/adapters'
require 'rspec/rails/fixture_support'

require_relative '../lib/by2'


def establish_connection
  By2.debug = false
  By2.db_connect
end

def load_fixtures
  fixtures_dir = By2.fixtures_dir
  (Dir["#{fixtures_dir}/**/*.yml"].map { |f| f[(fixtures_dir.size + 1)..-5] }).each do |fixture_file|
    ActiveRecord::FixtureSet.create_fixtures(fixtures_dir, fixture_file)
  end
end


RSpec.configure do |config|
  config.before(:suite) { establish_connection }

  config.before(:suite) do
    By2::Models::Event.delete_all
    By2::Models::Iphdr.delete_all
    By2::Models::Udphdr.delete_all
    By2::Models::Tcphdr.delete_all
    By2::Models::Payload.delete_all
    By2::Models::Icmphdr.delete_all

    load_fixtures
  end

  config.fixture_path = ::By2.fixtures_dir
  config.use_transactional_fixtures = false
  config.global_fixtures = :all
  config.order = "random"
end

